# pcc33 -S オプションを使うと、S1C33拡張命令展開済みの *.ms ができてしまいます。
# これでは扱いづらいので、pcc33 -b オプションを作って *.ps を作ることにしました。

PROG=clipfram

all: $(PROG).s
install: all
	copy $(PROG).s ..
clean:
	-del *.$$
	-del *.o
	-del *.ms
	-del *.ps
	-del *.s
	-del *.bak

$(PROG).s: $(PROG).c
	pcc33 -b -c -Wall -gp=0x0 -near -DPIECE -O2 -DNDEBUG -I.. $(PROG).c
	if exist $(PROG).s copy $(PROG).s $(PROG).s.bak
	sed -f clipfram.sed < $(PROG).ps > $(PROG).s
	del $(PROG).$$
	del $(PROG).o
	del $(PROG).ms
	@echo ***************************************
	@echo * make install するのを忘れないでね！ *
	@echo ***************************************
